Subject: Bug#1280 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#1280: Resolved)

From: [email-masked] (X2Go Bug Tracking System)
Date: Wed, 15 Aug 2018 21:05:03 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient (windows) package:

#1280: Windows x2goclient 4.1.x crashes with Try Auto Login

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
1280: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1280
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#1280: Resolved
From: Mike Gabriel <[email-masked]>
To: Ross Mohn <[email-masked]>, [email-masked]
Date: Wed, 15 Aug 2018 21:03:10 +0000

Control: close -1

On  Di 03 Jul 2018 19:20:36 CEST, Ross Mohn wrote:

> Installed x2goclient-4.1.2.0-2018.06.22 and performed additional  
> testing. It seems that if I specify a key in the "Use RSA/DSA key  
> for ssh connection" the client doesn't attempt to use the ssh agent  
> at all, only that specific key file. I had thought that it would  
> still try the agent first, but it only tries the specified key file  
> and then moves right to asking for the password, skipping the agent  
> altogether.
>
> Next I created a new id_ed25519.ppk file and loaded it with pagent.  
> I leave "Use RSA/DSA key for ssh connection" blank. The client now  
> immediately uses pagent for authentication and launches my session  
> without requiring any further interaction.
>
> OK to close, thanks! -Ross

Thanks, closed now.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de

Subject: Windows x2goclient 4.1.x crashes with Try Auto Login
From: Ross Mohn <[email-masked]>
To: [email-masked]
Date: Mon, 2 Apr 2018 12:47:19 -0400

Package: x2goclient (Windows)
Version: 4.1.x

Reproduced with x2goclient-4.1.0.0-2017.03.11-setup.exe and x2goclient-4.1.1.1-2018.03.01-setup.exe

Noticed this about a year ago, but didn't debug at that time and just fell back to 4.0.x version.

Setup: pagent.exe running with correct id_rsa.ppk SSH key. Check the "Try auto login" box in the session preferences.

Launch x2goclient.debug.exe (v4.1.1.1):
    x2go-INFO-1> "Starting X2Go Client..."
    x2go-WARNING-1> "English language requested, not loading translator."
    x2go-WARNING-1> "English language requested, not loading translator."
    x2go-INFO-3> "Started X2Go Client."
Process Explorer shows the following processes started, roughly in this order:
    x2goclient.debug.exe
    x2gohelper.exe
    sshd.exe
    pulseaudio.exe
    conhost.exe

Click to launch the Session:
    x2go-INFO-8> "Starting connection to server: example.com:922"
    QObject::killTimers: timers cannot be stopped from another thread
Process Explorer shows the following processes killed, roughly all at once:
    x2goclient.debug.exe
    x2gohelper.exe
    sshd.exe
    pulseaudio.exe
    conhost.exe

Work arounds:
    1) roll back to v4.0.x
    2) uncheck the "Try auto login" box" and live with typing in your password.

Thanks -Ross

-- 
Ross Palmer Mohn
[email-masked]